| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::iq_dc_cal_coeffs_t Struct Reference

`#include <uhd/types/iq_dc_cal_coeffs.hpp>`

## Public Attributes
double | scaling_coeff
std::vector< std::complex< double > > | coeffs
double | group_delay
std::complex< double > | dc_offset

## Friends
std::ostream & | operator<< (std::ostream &os, const iq_dc_cal_coeffs_t &data)
bool | operator== (const iq_dc_cal_coeffs_t &lhs, const iq_dc_cal_coeffs_t &rhs)

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const iq_dc_cal_coeffs_t & | data )
| friend

## ◆ operator==

bool operator== | ( | const iq_dc_cal_coeffs_t & | lhs,
|  | const iq_dc_cal_coeffs_t & | rhs )
| friend

## Member Data Documentation

## ◆ coeffs

std::vector<std::complex<double> > uhd::iq_dc_cal_coeffs_t::coeffs

## ◆ dc_offset

std::complex<double> uhd::iq_dc_cal_coeffs_t::dc_offset

## ◆ group_delay

double uhd::iq_dc_cal_coeffs_t::group_delay

## ◆ scaling_coeff

double uhd::iq_dc_cal_coeffs_t::scaling_coeff

The documentation for this struct was generated from the following file:

- iq_dc_cal_coeffs.hpp